Subject: Re: bug#52711: undefined reference to '__muloti4'

From: Alan Third <[email-masked]>
Date: Tue, 21 Dec 2021 20:12:07 +0000

On Tue, Dec 21, 2021 at 09:47:49PM +0200, Eli Zaretskii wrote:
> > Date: Tue, 21 Dec 2021 19:30:42 +0000
> > From: Alan Third <[email-masked]>
> > 
> > I no longer seem to be able to build the master branch. I'm getting
> > this error:
> > 
> >   CCLD     temacs
> > fileio.c:6261: error: undefined reference to '__muloti4'
> > clang: error: linker command failed with exit code 1 (use -v to see invocation)
> > make[2]: *** [Makefile:697: temacs] Error 1
> > 
> > I had a look but couldn't see where the problem comes from. I'm using
> > clang on Debian testing, if that matters.
> 
> Try using "nm -A fileio.o" to see what is that function and which code
> calls it.
> 
> If nothing else helps, try bisecting.  (But my crystal ball says it
> isn't Emacs that changed, it's something else on that system.)

Looks like it's gnulib:

f05a93e8232e6f56458ac16d733b03e96a63e930 is the first bad commit
commit f05a93e8232e6f56458ac16d733b03e96a63e930
Author: Paul Eggert <[email-masked]>
Date:   Sat Dec 18 16:12:38 2021 -0800
    Update from gnulib

I think the actual call is deep within some nested macros.
-- 
Alan Third